package br.ufrgs.inf.prosoft.adaptivecaching.exceptions;

/**
 * The type Cache provider exception.
 */
public class CacheProviderException extends RuntimeException {

    /**
     * Instantiates a new Cache provider exception.
     *
     * @param message the message
     * @param cause   the cause
     */
    public CacheProviderException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Instantiates a new Cache provider exception.
     *
     * @param cause the cause
     */
    public CacheProviderException(Throwable cause) {
        super(cause);
    }

    /**
     * Instantiates a new Cache provider exception.
     *
     * @param message the message
     */
    public CacheProviderException(String message) {
        super(message);
    }
}
